Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


Recherche API [RESOLU] Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP plugins ] prix intéressants pendant le black friday
par tenrev Hier à 21:07

» [ ARCHICAD-OBJETS GDL ] LIBRARY PART MARKER / PARAM-O- Où trouver des tutos ?
par Coulou Hier à 16:14

» [ ARTLANTIS ] Quoi de neuf
par Yanosh HRDY Hier à 15:11

» [ SKETCHUP tutos ] APPRENDRE SKETCHUP - TUTO 2 - Supprimer et Ajouter des éléments
par jerryvento Hier à 13:20

» [ AUTRES LOGICIELS ] Logiciel COVER 3D 2.3 import to Sketchup 2021
par simjoubert Jeu 24 Nov 2022 - 17:38

» [ ARCHICAD-OBJETS GDL ] PARAM-O - Boite à Eau
par Coulou Jeu 24 Nov 2022 - 10:20

» [ ARCHICAD-IMPORT/EXPORT ] IMPORT FICHIER E57 - ECHEC CREATION FICHIER LCF
par Coulou Jeu 24 Nov 2022 - 9:01

» [ UNREAL ENGINE ] mise à jour vers la version 5.1 au top
par tenrev Jeu 24 Nov 2022 - 8:38

» [ AUTRES LOGICIELS ] Le rustique TinkerCad!
par tenrev Jeu 24 Nov 2022 - 7:56

» [ ARCHICAD ] Compatibilité Apple (M1 Max) et ArchiCad (25)
par Christophe Fortineau Mer 23 Nov 2022 - 22:15

» [ PRESENTATION ] Bonjour à tous.
par jerryvento Mer 23 Nov 2022 - 18:46

» [ TEXTURES ET SHADERS ] six ensembles de texture de parallaxe gratuites qui peuvent être utilisées pour créer instantanément de faux intérieurs 3D pour des bâtiments 3D
par tenrev Lun 21 Nov 2022 - 16:19

» [ WIP_ANIMATIONS ] Animations avec Enscape
par tenrev Lun 21 Nov 2022 - 15:07

» [ SKETCHUP Layout ] Symboles Électriques sur Layout
par tenrev Lun 21 Nov 2022 - 13:15

» [ SKETCHUP Layout ] symboles architecturaux layout
par Suncil Lun 21 Nov 2022 - 9:11

» [ SKETCHUP généralité ] Moteur de rendu VRAY ou ENSCAPE
par JDD Dim 20 Nov 2022 - 21:12

» [ SKETCHUP tutos ] Modelisation SketchUp d'un Building du quartier Ginza à Tokyo et Rendu Enscape
par JDD Dim 20 Nov 2022 - 17:30

» [ SKETCHUP généralité ] modèle SketchUp 3D dans la suite office de Microsoft
par simjoubert Sam 19 Nov 2022 - 8:25

» [ ARCHICAD-OBJETS GDL ] PARAM-O la programmation nodale dans Archicad
par archisky Ven 18 Nov 2022 - 12:03

» [ TWINMOTION ] Version 2022.2.2 et MàJ Datasmith
par Pistou Jeu 17 Nov 2022 - 11:52

» [ PHOTOSHOP ] retouche de photos avec Ai et Photoshop
par tenrev Lun 14 Nov 2022 - 7:30

» [ CHAINE TWITCH ] Partie 2 import dans sketchup de quixel via transmutr
par simjoubert Lun 14 Nov 2022 - 7:04

» [ SKETCHUP plugins ] sj_AddDCFunctions
par simjoubert Dim 13 Nov 2022 - 16:22

» [ CHAINE TWITCH ] live du 10 nov 2022 14 h - import d'assets Quixel avec Transmutr
par tenrev Jeu 10 Nov 2022 - 15:50

» [ SKETCHUP généralité ] Vlog SketchUp 3D Basecamp Adebeo
par Nicolas Adebeo Jeu 10 Nov 2022 - 8:47

» [ AUTRES LOGICIELS ] Quixel mixer 2021 vient de sortir
par tenrev Mer 9 Nov 2022 - 12:23

» [ SKETCHUP LIVE COMPONENT ] former une courbe avec plusieurs courbes
par tenrev Mer 9 Nov 2022 - 9:06

» [ SKETCHUP LIVE COMPONENT ] Simon on parle de toi
par youyou40 Lun 7 Nov 2022 - 17:36

» [ CHAINE TWITCH ] replay du live 05 nov 2022
par tenrev Dim 6 Nov 2022 - 23:22

» [ ARCHICAD ] [ IFC ] [ ARCHICAD 26 ] [ AC26 ] [ CLASSIFICATION ] [ EVEBIM ]
par Christophe Fortineau Ven 4 Nov 2022 - 13:14

» [ SKETCHUP vray ] Vantage , rendu temps réel avec live link dans sketchup
par tenrev Ven 4 Nov 2022 - 9:01

» [ SKETCHUP LIVE COMPONENT ] Projection sphérique ou origami d'un rectangle en sphere
par simjoubert Jeu 3 Nov 2022 - 15:34

» [ SKETCHUP LIVE COMPONENT ] Mur Courbe avec Projection cylindrique de matériaux
par tenrev Jeu 3 Nov 2022 - 15:27

» [ CHAINE TWITCH ] live à 13h30 du 31/10/2022
par tenrev Mer 2 Nov 2022 - 16:28

» [ CHAINE TWITCH ] live du samedi 29/10/2022 live components
par tenrev Lun 31 Oct 2022 - 12:55

Sondage

Chaine Twitch

Recherche API [RESOLU] Poll_c1019%Recherche API [RESOLU] Poll_c10 19% [ 6 ]
Recherche API [RESOLU] Poll_c1013%Recherche API [RESOLU] Poll_c10 13% [ 4 ]
Recherche API [RESOLU] Poll_c103%Recherche API [RESOLU] Poll_c10 3% [ 1 ]
Recherche API [RESOLU] Poll_c1010%Recherche API [RESOLU] Poll_c10 10% [ 3 ]
Recherche API [RESOLU] Poll_c106%Recherche API [RESOLU] Poll_c10 6% [ 2 ]
Recherche API [RESOLU] Poll_c1010%Recherche API [RESOLU] Poll_c10 10% [ 3 ]
Recherche API [RESOLU] Poll_c1032%Recherche API [RESOLU] Poll_c10 32% [ 10 ]
Recherche API [RESOLU] Poll_c106%Recherche API [RESOLU] Poll_c10 6% [ 2 ]

Total des votes : 31

chaine sketchup.tv

Recherche API [RESOLU]

Voir le sujet précédent Voir le sujet suivant Aller en bas

ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Dim 3 Jan 2010 - 19:51

Bonsoir

_Je cherche a savoir quelle est l'API qui me permettrais de mettre un composant (se trouvant dans le document "Components/Perso" de sketchup) dans une variable que j'utiliserais avec la fonction trans = Geom::Transformation.new ()

Ou un bout de code qui fais pareil


Merci pour votre aide .


Dernière édition par ga le Lun 4 Jan 2010 - 19:41, édité 1 fois
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Dim 3 Jan 2010 - 22:19

Bonne question! Recherche API [RESOLU] 212924

En fait, c'est assez simple:

Code:
monObjet = Sketchup.active_model.definitions.load "CheminFichierAbsolu"
"CheminFichierAbsolu" est du style "c:/program files/toto/tata/monFichier.skp"
N.B.: noter les / remplaçant les \ de Windows


Dernière édition par jojo2 le Lun 4 Jan 2010 - 0:58, édité 1 fois
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 0:16

Bonsoir ga et jojo,

J'ai trouvé ça Jojo, la réponse est peut-être là ? Arrow http://code.google.com/intl/fr-FR/apis/sketchup/docs/ourdoc/definitionlist.html

La méthode DefinitionList.load permet de charger un composant a partir d'un fichier

Code:

path=Sketchup.find_support_file "Ton_composant.skp",  "Components/Components/Perso/"
model = Sketchup.active_model
definitions = model.definitions
componentdefinition = definitions.load path

Sinon un fil Arrow http://forums.sketchucation.com/viewtopic.php?f=323&t=24828&p=212921&hilit=load+component#p212921

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 0:28

Sinon il y a cette commande qui permet normalement de charger un composant Arrow

Code:
Sketchup.send_action 20094

mais cela me retourne juste une valeur booléenne Question
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 0:51

Voila un bout de code qui fonctionne avec une "transformation" au point 0,0,0 (ORIGIN) et un composant "bed" du répertoire Components/Components Sampler
Arrow

Code:

point = Geom::Point3d.new ORIGIN
trans = Geom::Transformation.new point
model = Sketchup.active_model
entities = model.active_entities
path = Sketchup.find_support_file "Bed.skp",  "Components/Components Sampler/"
definitions = model.definitions
componentdefinition = definitions.load path
instance = entities.add_instance componentdefinition, trans
if (instance) 
UI.messagebox instance
else 
UI.messagebox "Le composant ou le chemin n'existe pas"
end

Sources :

Arrow http://code.google.com/intl/nb/apis/sketchup/docs/ourdoc/entities.html#add_instance
Arrow http://forums.sketchucation.com/viewtopic.php?f=180&t=19729&p=163461&hilit=load+component+script#p163461
Arrow http://code.google.com/intl/nb/apis/sketchup/docs/ourdoc/definitionlist.html#load

@+
Christophe
avatar
jojo2
modérateur
modérateur
Date d'inscription : 14/11/2009
Nombre de messages : 135
Points : 170

Messagejojo2 Lun 4 Jan 2010 - 0:58

Bonjour Christophe.

Réponse complète, bien vu! Recherche API [RESOLU] 383867

++
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 19000
Points : 32741
Age : 59
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Lun 4 Jan 2010 - 9:07

respect alléluia respect Christophe est revenu ange ange

bravo bravo bravo

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

Recherche API [RESOLU] 575088biblio3d
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 10:26

Merci les gars c'est super sympa.
Avec ton code c.plassais je pense que j'ai tout pour bien faire , encore merci bravo

_J'en profite aussi pour te remercier d'avoir fais tes tutos 1,2,3,4,5,6 , ils sont très facile a suivre et très compréhensible , d'ailleurs je vais m'en servir pour mon premier scritp .
Tes cours mérites bien ceci bravo bravo bravo bravo bravo bravo bien

Tu pense nous faire le 7 ème bientôt ?
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 11:04

ga a écrit:Merci les gars c'est super sympa.
Avec ton code c.plassais je pense que j'ai tout pour bien faire , encore merci bravo

_J'en profite aussi pour te remercier d'avoir fais tes tutos 1,2,3,4,5,6 , ils sont très facile a suivre et très compréhensible , d'ailleurs je vais m'en servir pour mon premier scritp .
Tes cours mérites bien ceci bravo bravo bravo bravo bravo bravo bien

Tu pense nous faire le 7 ème bientôt ?

Salut ga,

Tu es le bienvenu au "Club" respect , n'hésites pas à nous faire profiter de ton travail.

Pour le tuto n°7 (comment ajouter une fonction annuler) je vais le mettre en place dans quelques minutes Exclamation

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 11:06

Tenrev a écrit:respect alléluia respect Christophe est revenu ange ange

bravo bravo bravo

Je suis devenu un pro des.... moteurs de recherches mdr1 ou j'ai beaucoup de chance ange

Sympa tes nouveaux Smileys bravo1

@+
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 11:49

J'ai encore un problème fou
Vous allez surement rire en voyant mon code et vous auriez bien raison , mais bon je début dans ce domaine alors riez pas tros fort langue

Voici mon super code
Code:
# Définition d'une méthode
  def routine
    point = Geom::Point3d.new ORIGIN
    trans = Geom::Transformation.new point
    model = Sketchup.active_model
    entities = model.active_entities
    path = Sketchup.find_support_file "Chevrons.skp",  "Components/Perso/"
    definitions = model.definitions
    componentdefinition = definitions.load path
    instance = entities.add_instance componentdefinition, trans

    if (instance)
    UI.messagebox instance
    else
    UI.messagebox "Le composant ou le chemin n'existe pas"
  end
Sketchup.active_model.active_entities.add_instance(Chevrons) ;
end

  if( not file_loaded?("zzz.rb") )
  UI.add_context_menu_handler do |context_menu|
  context_menu.add_separator
  context_menu.add_item("Insérer uncomposant") { routine }
  end
  file_loaded("zzz.rb")
  end

Avec ça rien ne se passe pourquoi ? :triste
Je vous entend rire de chez moi !!!!!! moqueur moqueur bang bang
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 12:44

Essayes celui ci
Arrow
Code:

def routine
    point = Geom::Point3d.new ORIGIN
    trans = Geom::Transformation.new point
    model = Sketchup.active_model
    entities = model.active_entities
    path = Sketchup.find_support_file "Chevrons.skp",  "Components/Perso/"
    definitions = model.definitions
    componentdefinition = definitions.load path
    instance = entities.add_instance componentdefinition, trans
        if (instance) 
            UI.messagebox instance
        else 
            UI.messagebox "Le composant ou le chemin n'existe pas"
        end
end
    if( not file_loaded?("zzz.rb") )
      UI.add_context_menu_handler do |context_menu|
      context_menu.add_separator
      context_menu.add_item("Insérer uncomposant") { routine }
    end
    file_loaded("zzz.rb")
end
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 12:54

Je viens de tester, cela fonctionne bien
c'est juste ta ligne 17 qui posait problème
Et je te promet que l'on ne rigole pas non
Je ne m'en fais pas la publicité, mais je passe parfois des heures pour une virgule pas au bon endroit marteau

@+
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 13:48

Ben je ne comprend pas ton code ne fonctionne pas chez moi
Il m'affiche le menu contextuel puis quand je clique sur "Insérer un composant" rien ne se passe saispas il fais comme le mien hmm hmm sa m énerve greuuuuuuuuuuuuuuuuuuuuu. affraid

_J'ai fais un teste en inscrivant le code dans la console ruby , il m'annonce sa :Error: #<TypeError: (eval):131:in `load': cannot convert nil into String>
(eval):131

Affichage de la console ruby :
Code:
point = Geom::Point3d.new ORIGIN
Point3d(0, 0, 0)
 trans = Geom::Transformation.new point
#<Geom::Transformation:0x9875de0>
model = Sketchup.active_model
#<Sketchup::Model:0x9874160>
 entities = model.active_entities
#<Sketchup::Entities:0x9871fa0>
 path = Sketchup.find_support_file "Chevrons.skp",  "Components/Perso/"
nil
 definitions = model.definitions
#<Sketchup::DefinitionList:0x98632e8>
componentdefinition = definitions.load path
Error: #<TypeError: (eval):131:in `load': cannot convert nil into String>
(eval):131

Le problème se trouve donc ici non ?????
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 14:53

C'est ton chemin qui n'est pas bon apparemment ou le nom de ton fichier Arrow path retourne "nil" ca veut dire qu'il n'y a rien dans ta variable "path"
ca veut dire aussi que la boucle conditionnelle de contrôle ne marche pas

Ton répertoire Perso est bien dans le répertoire components? Arrow
C:\Program Files\Google\Google SketchUp 7\Components\Perso

Essaye cette ligne à la place de l'autre juste pour un essai Arrow
path = Sketchup.find_support_file "Bed.skp", "Components/Components Sampler/"

@+
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 18:46

_Milles excuses pour le temps de réponse
Ton répertoire Perso est bien dans le répertoire components? Arrow
C:\Program Files\Google\Google SketchUp 7\Components\Perso
Oui voici ou est mon "Chevrons.skp" : C:\Program Files\Google\Google SketchUp 7\Components\Perso
Essaye cette ligne à la place de l'autre juste pour un essai Arrow
path = Sketchup.find_support_file "Bed.skp", "Components/Components Sampler/"
J'ai essayer cette ligne : path = Sketchup.find_support_file "Chevrons.skp", "Components/Components Sampler/"
Affichage console ruby :
Code:
 point = Geom::Point3d.new ORIGIN
Point3d(0, 0, 0)
 trans = Geom::Transformation.new point
#<Geom::Transformation:0x9869a50>
 model = Sketchup.active_model
#<Sketchup::Model:0x985c640>
entities = model.active_entities
#<Sketchup::Entities:0x9854a20>
 path = Sketchup.find_support_file "Chevrons.skp", "Components/Components Sampler/"
nil
 definitions = model.definitions
#<Sketchup::DefinitionList:0x983dd10>
componentdefinition = definitions.load path
Error: #<TypeError: (eval):131:in `load': cannot convert nil into String>
(eval):131
 instance = entities.add_instance componentdefinition, trans
Error: #<TypeError: (eval):131:in `add_instance': wrong argument type (expected Sketchup::ComponentDefinition)>
(eval):131
La même erreur apparait .
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 19:15

Pas de souci!!

Normal que ca ne marche pas tu as laissé "Chevrons.skp" qui n'est pas dans le répertoire Components samplers

la ligne c'est celle ci
Code:
path = Sketchup.find_support_file "Bed.skp", "Components/Components Sampler/"

Essayes ce code j'ai supprimé la boucle et rajouté un message qui va te donner le contenu de path (normalement le chemin complet du ton fichier

Code:


def routine
    point = Geom::Point3d.new ORIGIN
    trans = Geom::Transformation.new point
    model = Sketchup.active_model
    entities = model.active_entities
    path = Sketchup.find_support_file "Bed.skp", "Components/Components Sampler/"
    UI.messagebox path
    definitions = model.definitions
    componentdefinition = definitions.load path
    instance = entities.add_instance componentdefinition, trans

end
    if( not file_loaded?("zzz.rb") )
      UI.add_context_menu_handler do |context_menu|
      context_menu.add_separator
      context_menu.add_item("Insérer un composant") { routine }
    end
    file_loaded("zzz.rb")
end
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 19:20

Je n'y comprend plus rien du tout .
j'ai créer un composant et je l'ai enregistrer dans mon dossier "perso" sous le nom de "Bed.rb" et sa à marché du tonnerre bravo bravo2
Après j'ai remis ma ligne de code comme avant :path = Sketchup.find_support_file "Chevrons.skp", "Components/Perso/"
et maintenant sa fonctionne c'est fou ça bien hmm hmm d'où sa peu bien venir ?
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 19:25

Parfois il faut mieux redemarrer Sketchup, il ne prend pas toujours en compte certains changement de variable
ou il avait une petite erreur de syntaxe du style un espace

Christophe
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 46
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Lun 4 Jan 2010 - 19:40

Voici mon code qui marche :
Code:

def routine
    point = Geom::Point3d.new ORIGIN
    trans = Geom::Transformation.new point
    model = Sketchup.active_model
    entities = model.active_entities
  path = Sketchup.find_support_file "Chevrons.skp",    "Components/Perso/"
    definitions = model.definitions
    componentdefinition = definitions.load path
    instance = entities.add_instance componentdefinition, trans
        if (instance)
            UI.messagebox instance
        else
            UI.messagebox "Le composant ou le chemin n'existe pas"
        end
end
    if( not file_loaded?("zzz.rb") )
      UI.add_context_menu_handler do |context_menu|
      context_menu.add_separator
      context_menu.add_item("Insérer uncomposant") { routine }
    end
    file_loaded("zzz.rb")
end

_C'est surement une bêtise comme tu dit de syntaxe du style un espace je ne vois pas autre chose .
Je te remerci de ta patience et de ta sympathie c.plassais , tu prend ton role de modérateur vraiment à cœur .
_Je vais pouvoir continuer mon premier script et pourquoi pas si il fonctionne correctement vous le faire partage (il faut que je rajoute quelques petit trucs avant sinon il serais tros simple
:icon_wink: et sans tros d'importance )

a+ et merci encore à tous respect respect
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 19:43

N'hesites pas si tu as besoin
Bon Courage

@+
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 19000
Points : 32741
Age : 59
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Lun 4 Jan 2010 - 21:08

bravo je n'ai qu'un mot à dire "API" NEW YEAR

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

Recherche API [RESOLU] 575088biblio3d
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 60
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 4 Jan 2010 - 21:25

t'es en grande forme Jack mdr1
Tu n'as pas abusé de l'API RO boire2

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum